> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transformation model SQL



## OpenAPI

````yaml /api-reference/catalog-api.json put /transformations/{name}
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /transformations/{name}:
    put:
      tags:
        - transformations
      summary: Update transformation model SQL
      operationId: update_transformation_transformations__name__put
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTransformationRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransformationModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateTransformationRequest:
      properties:
        sql:
          type: string
          title: Sql
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - sql
      title: UpdateTransformationRequest
    TransformationModel:
      properties:
        name:
          type: string
          title: Name
        sql:
          type: string
          title: Sql
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        source_tables:
          items:
            type: string
          type: array
          title: Source Tables
          default: []
        connector_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Type
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          default: []
      type: object
      required:
        - name
        - sql
      title: TransformationModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````